Skip to content

List Webhooks Endpoint

GET
/api/v1/webhooks
curl --request GET \
--url 'https://example.com/api/v1/webhooks?limit=50&offset=0'
limit
Limit
integer
default: 50 >= 1 <= 250
offset
Offset
integer
0

Successful Response

Media typeapplication/json
Response List Webhooks Endpoint Api V1 Webhooks Get
Array<object>
WebhookOut

Response model for GET/list — omits secret.

object
id
required
Id
integer
url
required
Url
string
is_active
required
Is Active
boolean
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Example generated

[
{
"id": 1,
"url": "example",
"is_active": true,
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}